public class StudentDriver{
	public static void main(String[] args) {
        Student[] studentArray = new Student[5];
        studentArray[0] = new Student(200012, "Farouq Khan",2.0);
        studentArray[1] = new Student(200010, "Qasim Yusuf",3.2);
        studentArray[2] = new Student(200015, "Bakari Saleem",4.0);
        studentArray[3] = new Student(200013, "Ahmad Muhammad",3.5);
        studentArray[4] = new Student(200011, "Daud Abdullatif",2.5);
        
        Student student1 = new Student();
        student1.setID(200013);
        
        boolean found = false;
        int k;
        for(k = 0; k < studentArray.length; k++){
        	if(student1.equals(studentArray[k])){
        		found = true;
        		break;
        	}
        }
        
        if(found){
            System.out.println("Student with id " + student1.getID() + " found, details are: ");
        	System.out.println(studentArray[k]);
        }
        else
        	System.out.println("Student with id " + student1.getID() + " not found");
        
        found = false;
        for(k = 0; k < studentArray.length; k++){
        	if(studentArray[k].getGPA() > 3.0){
        		found = true;
        		break;
        	}
        }
        
        if(found){
        	System.out.println("\nStudent(s) with GPA > 3.0 are: ");
        	for(int m = k; m < studentArray.length; m++)
        		if(studentArray[m].getGPA() > 3.0)
        		   System.out.println(studentArray[m]);
        }
        else
        	System.out.println("\nThere are no students with GPA > 3.0");
        
    }
}